#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 10. Graphics and Font Libraries

- Prev

  HarfBuzz-2.7.4

- Next

  Little CMS-1.19

- Up
- Home

# JasPer-2.0.25

## Introduction to JasPer

The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the JPEG-2000 codec.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://github.com/jasper-software/jasper/archive/version-2.0.25/jasper-2.0.25.tar.gz

- Download MD5 sum: afbdd817fcdd0dcfbd6bec79825b944a

- Download size: 1.3 MB

- Estimated disk space required: 7.3 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### JasPer Dependencies

#### Required

CMake-3.19.5

#### Recommended

libjpeg-turbo-2.0.6

#### Optional

Freeglut-3.2.1 (required for jiv), Doxygen-1.9.1 (needed for generating html documentation), and texlive-20200406 (needed to regnerate the pdf documentation)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/jasper

## Installation of JasPer

### Note

The tarball jasper-2.0.25.tar.gz will extract to jasper-version-2.0.25.

Install JasPer by running the following commands:

    mkdir BUILD &&
    cd    BUILD &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr    \
          -DCMAKE_BUILD_TYPE=Release     \
          -DCMAKE_SKIP_INSTALL_RPATH=YES \
          -DJAS_ENABLE_DOC=NO            \
          -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/jasper-2.0.25 \
          ..  &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_SKIP_INSTALL_RPATH=YES`: This option removes embedded library search paths.

`-DJAS_ENABLE_DOC=NO`: This option disables rebuilding the pdf documentation if texlive-20200406 is installed.

## Contents

Installed Programs: imgcmp, imginfo, jasper, and jiv
Installed Library: libjasper.so
Installed Directories: /usr/include/jasper and /usr/share/doc/jasper-2.0.25

### Short Descriptions

imgcmp | compares two images of the same geometry
imginfo | displays information about an image
jasper | converts images between formats (BMP, JPS, JPC, JPG, PGX, PNM, MIF, and RAS)
jiv | displays images
`libjasper.so` | is a library used by programs for reading and writing JPEG2000 format files

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  HarfBuzz-2.7.4

- Next

  Little CMS-1.19

- Up
- Home